package insistesoft.multixnotes.beans;

public class Subject implements Comparable<Subject>{

    String idSubject;
    String nameSubject;

    public Subject(String idSubject, String nameSubject) {
        this.idSubject = idSubject;
        this.nameSubject = nameSubject;
    }

    public String getIdSubject() {
        return idSubject;
    }

    public void setIdSubject(String idSubject) {
        this.idSubject = idSubject;
    }

    public String getNameSubject() {
        return nameSubject;
    }

    public void setNameSubject(String nameSubject) {
        this.nameSubject = nameSubject;
    }

    @Override
    public String toString() {
        return idSubject + " " + nameSubject;
    }

    @Override
    public boolean equals(Object obj) {
        if(obj instanceof Subject) {
            Subject subj = (Subject) obj;
            if(this.idSubject.equals(subj.idSubject))
                return true;
        }
        return false;
    }

    @Override
    public int compareTo(Subject o) {

        return this.idSubject.compareTo(o.idSubject);
    }
}
